#!/usr/bin/env bash
# Set walltime limit
#BSUB -W 26:00 
#
# Set output file
#BSUB -o  apo.out
#
# Set error file
#BSUB -eo apo.stderr
#
# Specify node group
#BSUB -m "ly-gpu lx-gpu lw-gpu lu-gpu ld-gpu"
#BSUB -q gpuqueue
#
# nodes: number of nodes and GPU request
#BSUB -R "rusage[mem=5]" -sp 25
#BSUB -n 1 -gpu "num=1/task:j_exclusive=yes:mode=shared"
#
# job name (default = name of script file)
#BSUB -J "33.0.apo"

source ~/.bashrc
conda activate openmm-dev

new=0
outdir=/data/chodera/zhangi/perses_benchmark/repex/33/$new/
phase=apo
n_states=36
n_cycles=5000
T_max=300

build_mpirun_configfile --configfilepath configfile_apo --hostfilepath hostfile_apo "python /home/zhangi/choderalab/perses_benchmark/perses_protein_mutations/code/31_rest_over_protocol/run_rest_over_protocol.py $outdir $phase $n_states $n_cycles $T_max"
mpiexec.hydra -f hostfile_apo -configfile configfile_apo
